gdk-sharp 2.12.0.0 Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. Gdk.Drawable Offscreen drawable.

Pixmaps are offscreen drawables that reside on the server on the X11 platform. They can be drawn upon with the standard drawing primitives, then copied to another drawable (such as a ) with .

The depth of a pixmap is the number of bits per pixels. Bitmaps are simply pixmaps with a depth of 1. (That is, they are monochrome bitmaps - each pixel can be either on or off).

For client-side images, see the class.

- Constructor
  2.12.0.0
  System.Obsolete
  a
  Protected Constructor.
  Chain to this constructor if you have manually registered a native value for your subclass.
- Constructor
  2.12.0.0
  Pointer to the C object.
  Internal constructor

  This is an internal constructor, and should not be used by user code.

- Constructor
  2.12.0.0
  A , used to determine default values for the new pixmap.
  The width of the new pixmap in pixels.
  The height of the new pixmap in pixels.
  Create a new pixmap using a reference drawable for depth.
  Creates a new pixmap with a given size and depth.
- Constructor
  2.12.0.0
  A , used to determine default values for the new pixmap. Can be if is specified
  The width of the new pixmap in pixels.
  The height of the new pixmap in pixels.
  The depth (number of bits per pixel) of the new pixmap. If -1, and drawable is not , the depth of the new pixmap will be equal to that of drawable.
  Creates a new pixmap with the given size and depth.
  Create a new pixmap with a given size and depth.
- Method
  2.12.0.0
  Gdk.Pixmap `` `` `` a a a To be added a To be added
- Method
  2.12.0.0
  Gdk.Pixmap `` `` `` `` `` a a a a a Create a pixmap from an XPM file using a specific colormap. a To be added
- Method
  2.12.0.0
  Gdk.Pixmap `` `` `` a a a To be added a To be added
- Method
  2.12.0.0
  Gdk.Pixmap `` `` `` `` `` a a a a an array of , defining an image in XPM format Create a pixmap from XPM data using a colormap. a To be added
- Method
  2.12.0.0
  Gdk.Pixmap `` `` `` `` A , used to determine default values for the new pixmap. A string representing the XBM data. The width of the new pixmap in pixels. The height of the new pixmap in pixels. Creates a new bitmap from data in XBM format. The bitmap. None.
- Method
  2.12.0.0
  Gdk.Pixmap `` `` `` `` `` `` `` a a a a a a a To be added a To be added
- Method
  2.12.0.0
  Gdk.Pixmap `` `` a a To be added a To be added
- Method
  2.12.0.0
  Gdk.Pixmap `` `` `` `` a a a a Create a pixmap from an XPM file. a To be added
- Method
  2.12.0.0
  Gdk.Pixmap `` `` a a To be added a To be added
- Method
  2.12.0.0
  Gdk.Pixmap `` `` `` `` a a a an array of , defining an XPM image Create a pixmap from XPM data. a To be added
- Method
  2.12.0.0
  Gdk.Pixmap `` a native pixmap handle. Wraps a native window for the default display in a . This may fail if the pixmap has been destroyed. The newly-created wrapper for the native pixmap or if the pixmap has been destroyed. Wraps a native window for the default display in a GdkPixmap. This may fail if the pixmap has been destroyed.

  For example in the X backend, a native pixmap handle is an Xlib XID.

- Method
  2.12.0.0
  Gdk.Pixmap `` `` The where the pixmap is located. a native pixmap handle. Wraps a native pixmap in a . This may fail if the pixmap has been destroyed. The newly-created wrapper for the native pixmap or if the pixmap has been destroyed. Wraps a native pixmap in a GdkPixmap. This may fail if the pixmap has been destroyed.

  For example in the X backend, a native pixmap handle is an Xlib XID.

- Method
  2.12.0.0
  Gdk.Pixmap `` `` `` `` `` the desired screen. Native pixmap handle, for example, an xlib XID. Width of pixmap . Height of pixmap . Depth of pixmap . Wraps a native Pixmap for a screen. a wrapping the native ID, or if the native pixmap is destroyed. Use this method as an alternative to when the dimensions and screen are known, which saves a roundtrip to the server on X.
- Property
  2.12.0.0
  GLib.GType GType Property. a Returns the native value for .
- Method
  2.12.0.0
  Gdk.Pixmap `` a native pixmap handle. Looks up the that wraps the given native pixmap handle. the wrapper for the native window, or if there is none. Looks up the GdkPixmap that wraps the given native pixmap handle.

  For example in the X backend, a native pixmap handle is an Xlib XID.

- Method
  2.12.0.0
  Gdk.Pixmap `` `` a a To be added a To be added